### Method

# GLib Node insert_before

#### Declaration

    GNode*
    g_node_insert_before (
      GNode* parent,
      GNode* sibling,
      GNode* node
    )

#### Description

Inserts a `GNode` beneath the parent before the given sibling.

This method is not directly available to language bindings.

#### Parameters

`sibling`

  Type: `GNode`

  The sibling `GNode` to place `node` before. If sibling is `NULL`, the node is inserted as the last child of `parent`.

  The data is owned by the caller of the method.

`node`

  Type: `GNode`

  The `GNode` to insert.

  The data is owned by the caller of the method.

#### Return value

Type: `GNode`

The inserted `GNode`.

The data is owned by the instance.